# Xapian::RuntimeError Class Reference

The base class for exceptions indicating errors only detectable at runtime. More...

Inheritance diagram for Xapian::RuntimeError:

[legend]

List of all members.

## Detailed Description

The base class for exceptions indicating errors only detectable at runtime.

A subclass of RuntimeError will be thrown if Xapian detects an error which is exception derived from RuntimeError is thrown when an error is caused by problems with the data or environment rather than a programming mistake.

The documentation for this class was generated from the following file:

- xapian/error.h